<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1LodStrategyManager.html">LodStrategyManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::LodStrategyManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#ae0e46b7b70199f285a5520f2de34e483">addStrategy</a>(LodStrategy *strategy)</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#ab026fd169f21089e9f46e4c9a52656a2">getDefaultStrategy</a>()</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#ac76befbdcec821cfdaef18e003db6a20">getIterator</a>()</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#aab422d81f11f6da60aae68ba6fe7f518">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#ae1c307853cfa3a52383d24a76f253834">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#afd17cbfa1e8d4dbc13288bde43b04b12">getStrategy</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#a9075bfbb3b06ab96f575b06572ddaef6">LodStrategyManager</a>()</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#aef206525f4a0d15646c5c1f8297df949">mDefaultStrategy</a></td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; LodStrategyManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#a8d2745f0c30af7e346135ea3374e7160">mStrategies</a></td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#afba001a67e39b1e2537cfe772e6235ec">removeAllStrategies</a>()</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#a6d44c74b5079b3e5b4246b093f477561">removeStrategy</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#ae533e1c38e38eb12b377a534363262f6">setDefaultStrategy</a>(LodStrategy *strategy)</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#ae6200e09fc9abc18e90ccba210931f3e">setDefaultStrategy</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; LodStrategyManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#a2eea27371502d22f4b557f0047d27ead">StrategyMap</a> typedef</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategyManager.html#a1de70275e59bb1f4f44d43a206662be0">~LodStrategyManager</a>()</td><td><a class="el" href="classOgre_1_1LodStrategyManager.html">Ogre::LodStrategyManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; LodStrategyManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
